Please upgrade here. These earlier versions are no longer being updated and have security issues.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

[Solved] Upgrading from 2.0.18.10

This discussion was created from comments split from: Is it possible to have 'Confirm email' roles auto-deleted after a certain time?.

Search first

Check out the Documentation! We are always looking for new content and pull requests.

Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

Comments

  • Options

    Okay, time to bite the bullet and upgrade to 2.1!

  • Options
    peregrineperegrine MVP
    edited June 2014

    I highly recommend you read this and ALL the comments.

    http://vanillaforums.org/discussion/26685/vanilla-2-1-stable-released

    re-read the instructions by lincoln closely a few times and the comments note some gotcha's and tips.

    if you do, you will have a painless installation.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    What I usually do is set up a parallel installation in another directory, make sure it is working right, then use .htaccess to redirect to new URL. I don't mind the forum shifting URL periodically. Otherwise, it is just too scary.

  • Options
    peregrineperegrine MVP
    edited June 2014

    sounds good. parallel installation is the way to go.

    or

    possibly a tweak on your method.

    http://vanillaforums.org/discussion/24793/yet-another-vanilla-upgrade-and-duplication-tutorial (obviously with the versions in the instructions matching what you want).

    whatever works for you.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    What I do, after setting up the new installation, is quickly import my copy of the database and hope no-one posts before I've switched. I did wonder whether to simply change the database name and password in the new config file to the old database name and password, but I suspect that would get confusing and prevent me from deleting the old installation.

  • Options
    peregrineperegrine MVP
    edited June 2014

    just make sure you have a backup of the db prior to install.

    also, the thing to watch out for is that some config statements are slightly different in 2.1

    e.g.

    debug and troubleshooting is different.

    $Configuration['Debug'] = TRUE;

    Invite roles layout is different

    http://vanillaforums.org/discussion/comment/209299/#Comment_209299

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    The only thing I currently change in config is this:

    $Configuration['Vanilla']['Discussions']['Dismiss'] = FALSE;

    Is that an issue in 2.1?

  • Options
    peregrineperegrine MVP
    edited June 2014

    in 2.1

    $Configuration['Vanilla']['Discussions']['Dismiss'] = FALSE;

    removes the Dismiss option from the announcements. is that what you want.

    and obviously you need to make sure your theme works in 2.1 or pick a different theme. bootstrap and few others are quite nice.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    Yes, I want 'Announcements', which I use to remind people how to do things, to stay there because I just know if they dismiss them they'll be asking how do I do this all over again. 'Messages', on the other hand, they can dismiss no problem.

  • Options

    Hmmm. Well I set up the parallel 2.1 installation. Dropped that database and imported the one from my old forum version 2.0.18.10. Everything imports fine. But now when I try to post on the new forum I just get this error message:

    Unknown column 'FirstCommentID' in 'field list'|Gdn_Database|Query|update GDN_Discussion Discussion set DateLastComment = :DateLastComment, FirstCommentID = :FirstCommentID, LastCommentID = :LastCommentID, CountComments = :CountComments where DiscussionID = :DiscussionID

    I tried the previous version of the datebase to that and it's the same. Is this a database compatibility issue or a corrupt database. I'm afraid i don't know a great deal about databases. Anyone help?

  • Options
    peregrineperegrine MVP
    edited June 2014

    without being rude, some people are offended. Did you follow the instructions to a T.

    did you run /utility/update did you clear cache , etc.

    list the steps that you did after you imported the database. Also how did you import. phpmyadmin is the best.

    did you enable plugins through the dashboard, which you should.

    did you disable all plugins prior to import.


    if not follow these steps.

    http://vanillaforums.org/discussion/comment/199091/#Comment_199091

    if you still have problems start a new discussion as well. It might help other people since we are on a totally different topic that your title suggests.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    It was a fresh parallel installation via Softalicious in a different directory. Do I need to use run utility/update in that case? if so, how do I do that?

  • Options

    Softaculous I mean...

  • Options
    peregrineperegrine MVP
    edited June 2014

    It was a fresh parallel installation via Softalicious in a different directory. Do I need to use run utility/update in that case? if so, how do I do that?

    but you imported an old database correct?
    or not.

    despite softaculous. we know not what you did, if you don't mind listing your steps from A to Z.

    , so while the source code is new your database reflects the 2,0,18,.x version.

    http://vanillaforums.org/discussion/comment/199091/#Comment_199091
    see this and the following comments

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    I'll also answer when you start a new discussion pertaining to your new topic.

    over and out.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options

    Ah, I see. I've run http://example.com/index.php?p=/utility/update as you suggest and I do believe it has fixed the problem. Thanks! So this updates the structure of old imported database does it?

    Do I also need to run /utility/structure ?

  • Options
    peregrineperegrine MVP
    edited June 2014

    peregrine said: did you run /utility/update did you clear cache , etc.

    sudden156 said: Ah, I see. I've run http://example.com/index.php?p=/utility/update as you suggest
    Do I also need to run /utility/structure ?

    no. update should call it, but it won;t hurt doing it., and both theoretically update the structure of old database.

    if you are up and running - you should be fine - tautology.

    maybe @kasper can split this discussion where it veered off into installing 2.1

    from this point

    http://vanillaforums.org/discussion/comment/210838/#Comment_210838

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

Sign In or Register to comment.